### Method

# Gtk TreeViewset_tooltip_cell

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_set_tooltip_cell (
      GtkTreeView* tree_view,
      GtkTooltip* tooltip,
      GtkTreePath* path,
      GtkTreeViewColumn* column,
      GtkCellRenderer* cell
    )

#### Description [src]

Sets the tip area of `tooltip` to the area `path`, `column` and `cell` have in common. For example if `path` is `NULL` and `column` is set, the tip area will be set to the full area covered by `column`. See also gtk_tooltip_set_tip_area().

Note that if `path` is not specified and `cell` is set and part of a column containing the expander, the tooltip might not show and hide at the correct position. In such cases `path` must be set to the current node under the mouse cursor for this function to operate correctly.

See also `gtk_tree_view_set_tooltip_column()` for a simpler alternative.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`tooltip`

  Type: `GtkTooltip`

  A `GtkTooltip`

  The data is owned by the caller of the method.

`path`

  Type: `GtkTreePath`

  A `GtkTreePath`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`column`

  Type: `GtkTreeViewColumn`

  A `GtkTreeViewColumn`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cell`

  Type: `GtkCellRenderer`

  A `GtkCellRenderer`

  The argument can be `NULL`.
  The data is owned by the caller of the method.